## ignite

ignite: easily run Firecracker VMs

### Synopsis


Ignite is a containerized Firecracker microVM administration tool.
It can build VM images, spin VMs up/down and manage multiple VMs efficiently.

Example usage:

    $ ignite build luxas/ubuntu-base:18.04 \
		--name my-image \
		--import-kernel my-kernel
	$ ignite images
	$ ignite kernels
	$ ignite run my-image my-kernel --name my-vm
	$ ignite ps
	$ ignite attach my-vm
	Login with user "root" and password "root".


### Options

```
  -h, --help   help for ignite
```

### SEE ALSO

* [ignite attach](ignite_attach.md)	 - Attach to a running VM
* [ignite build](ignite_build.md)	 - Build a new base image for VMs
* [ignite completion](ignite_completion.md)	 - Output bash completion for ignite to stdout
* [ignite create](ignite_create.md)	 - Create a new VM without starting it
* [ignite image](ignite_image.md)	 - Manage VM base images
* [ignite kernel](ignite_kernel.md)	 - Manage VM kernels
* [ignite kill](ignite_kill.md)	 - Kill running VMs
* [ignite logs](ignite_logs.md)	 - Get the logs for a running VM
* [ignite ps](ignite_ps.md)	 - List running VMs
* [ignite rm](ignite_rm.md)	 - Remove VMs
* [ignite rmi](ignite_rmi.md)	 - Remove VM base images
* [ignite rmk](ignite_rmk.md)	 - Remove kernels
* [ignite run](ignite_run.md)	 - Create a new VM and start it
* [ignite start](ignite_start.md)	 - Start a VM
* [ignite stop](ignite_stop.md)	 - Stop running VMs
* [ignite version](ignite_version.md)	 - Print the version of ignite
* [ignite vm](ignite_vm.md)	 - Manage VMs

###### Auto generated by spf13/cobra on 6-Jun-2019
